Retrieve orders without partner invoice
Use this method to list all orders that have yet to be included in a partner invoice.
Requirements
This method requires you to set a specific partner using setPartner.
Request parameters
Parameter
Type / Description
sessionID
Required (string)
Session identifier, output of the Login method. An exception is thrown if the values are incorrect.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
try {
$OrderswithoutProforma= $client->getOrdersWithoutProforma ($sessionID);
} catch (SoapFault $e) {
echo "NoProforma: " . $e->getMessage();
exit;
}
var_dump ("NoProforma", $OrderswithoutProforma);Response parameters
Parameter
Type
Object
Response sample
Errors
Error
Description
INVALID_PARTNER
No partner is set.
NO_ORDERS
There are no orders without partner invoice.
Last updated
Was this helpful?